Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionMenuItem.MenuItemType

    java.lang.Object
      java.lang.Enum<QStyleOptionMenuItem.MenuItemType>
          com.trolltech.qt.gui.QStyleOptionMenuItem.MenuItemType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionMenuItem.MenuItemType>

Enclosing class:
  QStyleOptionMenuItem

    public static enum QStyleOptionMenuItem.MenuItemType

extends java.lang.Enum<QStyleOptionMenuItem.MenuItemType>
implements QtEnumerator

This enum indicates the type of menu item that the structure describes.

See Also:
  `menuItemType`

Enum Constant Summary
`DefaultItem` A menu item that is the default action as specified with `QMenu::defaultAction`.
`EmptyArea` The empty area of the menu.
`Margin` The margin of the menu.
`Normal` A normal menu item.
`Scroller` A popup menu scroller (currently only used on Mac OS X).
`Separator` A menu separator.
`SubMenu` Indicates the menu item points to a sub-menu.
`TearOff` A tear-off handle for the menu.

Method Summary
`static QStyleOptionMenuItem.MenuItemType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionMenuItem.MenuItemType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionMenuItem.MenuItemType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Normal

    public static final QStyleOptionMenuItem.MenuItemType Normal

  A normal menu item.

### DefaultItem

    public static final QStyleOptionMenuItem.MenuItemType DefaultItem

  A menu item that is the default action as specified with `QMenu::defaultAction`.

### Separator

    public static final QStyleOptionMenuItem.MenuItemType Separator

  A menu separator.

### SubMenu

    public static final QStyleOptionMenuItem.MenuItemType SubMenu

  Indicates the menu item points to a sub-menu.

### Scroller

    public static final QStyleOptionMenuItem.MenuItemType Scroller

  A popup menu scroller (currently only used on Mac OS X).

### TearOff

    public static final QStyleOptionMenuItem.MenuItemType TearOff

  A tear-off handle for the menu.

### Margin

    public static final QStyleOptionMenuItem.MenuItemType Margin

  The margin of the menu.

### EmptyArea

    public static final QStyleOptionMenuItem.MenuItemType EmptyArea

  The empty area of the menu.

Method Detail

### values

    public static final QStyleOptionMenuItem.MenuItemType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionMenuItem.MenuItemType c : QStyleOptionMenuItem.MenuItemType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionMenuItem.MenuItemType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionMenuItem.MenuItemType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD